package com.huashe.park.domain.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;

/**
 * 施工单元桩孔关系表对象 cons_cons_unit_hole_rel
 * 
 * @author ruoyi
 * @date 2025-02-17
 */
public class ConsUnitHoleRel extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 桩孔id */
    @Excel(name = "桩孔id")
    private Long holeId;

    /** 施工单元id */
    @Excel(name = "施工单元id")
    private Long consUnitId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setHoleId(Long holeId) {
        this.holeId = holeId;
    }

    public Long getHoleId() {
        return holeId;
    }

    public void setConsUnitId(Long consUnitId) {
        this.consUnitId = consUnitId;
    }

    public Long getConsUnitId() {
        return consUnitId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId())
            .append("holeId", getHoleId()).append("consUnitId", getConsUnitId()).append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime()).append("createBy", getCreateBy()).append("updateBy", getUpdateBy())
            .toString();
    }
}
